"""Empty object as default value in JSON column

Revision ID: f9a298276847
Revises: 3e61825e9188
Create Date: 2021-06-14 11:27:10.424903

"""
import sqlalchemy as sa
from alembic import op
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = "f9a298276847"
down_revision = "3e61825e9188"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("action", schema=None) as batch_op:
        batch_op.alter_column(
            "details",
            existing_type=postgresql.JSON(astext_type=sa.Text()),
            nullable=False,
        )

    with op.batch_alter_table("callback", schema=None) as batch_op:
        batch_op.alter_column(
            "infos",
            existing_type=postgresql.JSON(astext_type=sa.Text()),
            nullable=False,
        )

    with op.batch_alter_table("channel", schema=None) as batch_op:
        batch_op.alter_column(
            "hub_infos",
            existing_type=postgresql.JSON(astext_type=sa.Text()),
            nullable=False,
        )
        batch_op.alter_column(
            "infos",
            existing_type=postgresql.JSON(astext_type=sa.Text()),
            nullable=False,
        )

    with op.batch_alter_table("notification", schema=None) as batch_op:
        batch_op.alter_column(
            "kwargs",
            existing_type=postgresql.JSON(astext_type=sa.Text()),
            nullable=False,
        )
        batch_op.alter_column(
            "response",
            existing_type=postgresql.JSON(astext_type=sa.Text()),
            nullable=False,
        )

    with op.batch_alter_table("user", schema=None) as batch_op:
        batch_op.alter_column(
            "_dropbox_credentials",
            existing_type=postgresql.JSON(astext_type=sa.Text()),
            nullable=False,
        )
        batch_op.alter_column(
            "_youtube_credentials",
            existing_type=postgresql.JSON(astext_type=sa.Text()),
            nullable=False,
        )

    with op.batch_alter_table("video", schema=None) as batch_op:
        batch_op.alter_column(
            "details",
            existing_type=postgresql.JSON(astext_type=sa.Text()),
            nullable=False,
        )

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("video", schema=None) as batch_op:
        batch_op.alter_column(
            "details",
            existing_type=postgresql.JSON(astext_type=sa.Text()),
            nullable=True,
        )

    with op.batch_alter_table("user", schema=None) as batch_op:
        batch_op.alter_column(
            "_youtube_credentials",
            existing_type=postgresql.JSON(astext_type=sa.Text()),
            nullable=True,
        )
        batch_op.alter_column(
            "_dropbox_credentials",
            existing_type=postgresql.JSON(astext_type=sa.Text()),
            nullable=True,
        )

    with op.batch_alter_table("notification", schema=None) as batch_op:
        batch_op.alter_column(
            "response",
            existing_type=postgresql.JSON(astext_type=sa.Text()),
            nullable=True,
        )
        batch_op.alter_column(
            "kwargs",
            existing_type=postgresql.JSON(astext_type=sa.Text()),
            nullable=True,
        )

    with op.batch_alter_table("channel", schema=None) as batch_op:
        batch_op.alter_column(
            "infos", existing_type=postgresql.JSON(astext_type=sa.Text()), nullable=True
        )
        batch_op.alter_column(
            "hub_infos",
            existing_type=postgresql.JSON(astext_type=sa.Text()),
            nullable=True,
        )

    with op.batch_alter_table("callback", schema=None) as batch_op:
        batch_op.alter_column(
            "infos", existing_type=postgresql.JSON(astext_type=sa.Text()), nullable=True
        )

    with op.batch_alter_table("action", schema=None) as batch_op:
        batch_op.alter_column(
            "details",
            existing_type=postgresql.JSON(astext_type=sa.Text()),
            nullable=True,
        )

    # ### end Alembic commands ###
